Avidemux 2.6 Scripting Reference: ComboBoxItemCollection Class Reference

| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Enumerations Enumerator Properties Groups Pages
Public Member Functions | Properties | List of all members
ComboBoxItemCollection Class Reference

The ComboBoxItemCollection class represents a collection of ComboBoxItem objects that can be individually accessed by index. More...

## Public Member Functions
Number | add (ComboBoxItem item)
| Adds a ComboBoxItem object to the end of the combobox list.
Number | add (String title, String value)
| Adds an item with the given title and user data to the end of the combobox list.
void | clear ()
| Removes all ComboBoxItem objects from the collection.
void | insert (Number index, ComboBoxItem item)
| Inserts a new ComboBoxItem object into the collection at the specified index.
void | insert (Number index, String title, String value="")
| Inserts a new item with the given title and user data into the collection at the specified index.
ComboBoxItem | operator[] (Number i)
| Gets the ComboBoxItem object at the specified index.
void | removeAt (Number index)
| Removes the ComboBoxItem object at the specified index.

## Properties
Number | length
| Returns the number of ComboBoxItem objects in the collection.

## Detailed Description

The ComboBoxItemCollection class represents a collection of ComboBoxItem objects that can be individually accessed by index.

## Member Function Documentation

Number add | ( | ComboBoxItem | item | ) |
| inline

Adds a ComboBoxItem object to the end of the combobox list.

Returns
  Returns the index of the newly added ComboBoxItem in the collection.

Number add | ( | String | title,
|  | String | value
| ) |  |
| inline

Adds an item with the given title and user data to the end of the combobox list.

Returns
  Returns the index of the newly added ComboBoxItem in the collection.